### Method

# GUPnPAV DIDLLiteResource set_subtitle_file_type

since: 0.12.4

#### Declaration [src]

    void
    gupnp_didl_lite_resource_set_subtitle_file_type (
      GUPnPDIDLLiteResource* resource,
      const char* type
    )

#### Description [src]

Set the type of an external subtitle file, specified via pv:subtitleFileUri using gupnp_didl_lite_resource_set_subtitle_file_uri().

When `type` is `NULL` the value is removed.

Available since: 0.12.4

Sets property | `GUPnPAV.DIDLLiteResource:subtitle-file-type`

#### Parameters

`type`

  Type: `const char*`

  An URI to an external subtitle file.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.